# stream-contract.theme.yml — Magic
# Familie: storyworld | Theme: magic
# Erstellt: 2026-04-27 | Status: active
# Norm: W3C DTCG Design Tokens + IIO ETL-Pipeline
# ---
meta:
  theme_family: storyworld
  theme_id: magic
  version: 1.0.0
  source_key: magisches-systemhaus-brand-2026
  ip_review_gate: true
  status: active
  language_channel: AGT
  note: Magisches IT-Systemhaus narrative Theme
streams:
  raw_theme_magic_v1:
    source: null
    source_key: magisches-systemhaus-brand-2026
    schema:
      color_palette: hex-set
      typography: css-font-stack
      layout_system: css-grid-definition
      components: css-class-map
  canonical_theme_magic_v1:
    normalized_from: raw_theme_magic_v1
    schema:
      design_tokens: w3c-dtcg-aligned
      component_library: normalized
      layout_primitives: css-custom-properties
      color_semantic_map: iio-token-system
      responsive_breakpoints:
      - 320
      - 768
      - 1200
      - 1920
transforms:
  magic_source_to_canonical:
    input: raw_theme_magic_v1
    output: canonical_theme_magic_v1
    rules:
    - normalize_color_syntax: hex → rgb-var
    - abstract_typography: font-family → iio-token-name
    - map_layout_grid: source-grid → css-custom-properties
    - preserve_brand_source_trace: magisches-systemhaus-brand-2026
joins:
  theme_magic_complete:
    inputs:
    - canonical_theme_magic_v1
    purpose: Rendering-ready Magic theme for IIO Manual
    output_schema:
      css_variables: iio-standardized
      component_specs: complete
      usage_guidelines: linked
evidence:
  ingestion_date: null
  ingested_by: null
  source_verified: false
  source_verified_at: null
  css_generated: false
  css_generated_at: null
  rg007_applicable: true
  rg007_evidence: null
